### Function

# Fwupd guid_to_string

since: 1.2.5

#### Declaration [src]

    gchar*
    fwupd_guid_to_string (
      const guint8* guid,
      FwupdGuidFlags flags
    )

#### Description [src]

Returns a text GUID of mixed or BE endian for a packed buffer.

Available since: 1.2.5

#### Parameters

`guid`

  Type: `const guint8*`

  A #fwupd_guid_t to read.

  The data is owned by the caller of the function.

`flags`

  Type: `FwupdGuidFlags`

  GUID flags, e.g. `FWUPD_GUID_FLAG_MIXED_ENDIAN`.

#### Return value

Type: `gchar*`

A new GUID string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.